using GMCabsDriverAssistantSolution.ViewModels;

namespace GMCabsDriverAssistantSolution.Views;

public partial class BookingDetailsPage : ContentPage
{

    #region Fields
    private readonly BookingDetailViewModel _viewModel;
    #endregion

    #region Properties
    #endregion

    #region Constructor
    public BookingDetailsPage()
    {
        InitializeComponent();
        BindingContext = _viewModel = new BookingDetailViewModel();
    }
    public BookingDetailsPage(Guid bookingid)
    {
        InitializeComponent();
        BindingContext = _viewModel = new BookingDetailViewModel(bookingid);
    }
    #endregion

    #region Methods
    protected override void OnAppearing()
    {
        base.OnAppearing();
        corporateVIPFrame.IsVisible = _viewModel.IsCorporateBooking;
    }
    private async void AcceptBooking(object sender, EventArgs e)
    {
        // TODO
        await Navigation.PushAsync(new AcceptBookingProcessPage(), true);
    }
    #endregion
}